Appearance
Are you an LLM? You can read better optimized documentation at /api/web3/get-token-metadata.md for this page in Markdown format
Get Token Metadata
POST
/v4/web3/token-metadata
Retrieve extended token market data and additional visual metadata.
Authorizations
ApiKeyAuth
Type
API Key (header: X-Api-Key)
Request Body
application/json
JSON
{
"address": "0xA0b86991c6218b36c1d19D4a2e9Eb0cE3606eB48",
"network": "ethereum"
}
Responses
OK
application/json
JSON
{
"status": "ok",
"payload": {
"tokenData": {
"id": "usd-coin",
"symbol": "USDC",
"name": "USD Coin",
"description": "string",
"logoURL": "string",
"range24hLow": 0,
"range24hHigh": 0,
"allTimeLow": 0,
"allTimeHigh": 0,
"allTimeLowChangePercentage": 0,
"allTimeHighChangePercentage": 0,
"currentPrice": 0,
"marketCap": 0,
"fullyDilutedValuation": 0,
"totalVolume": 0,
"priceChangePercentage24H": 0,
"totalSupply": 0,
"maxSupply": 0,
"circulatingSupply": 0
},
"additionalTokenData": {
"dominantColor": "#2674C9",
"additionalProperties": "string"
}
}
}
Code examples
bash
curl -X POST https://api.brrr.network/v4/web3/token-metadata \
-H "X-Api-Key: YOUR_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"address": "0xA0b86991c6218b36c1d19D4a2e9Eb0cE3606eB48",
"network": "ethereum"
}'javascript
const response = await fetch('https://api.brrr.network/v4/web3/token-metadata', {
method: 'POST',
headers: {
'X-Api-Key': process.env.BRRR_API_KEY,
'Content-Type': 'application/json',
},
body: JSON.stringify({
address: '0xA0b86991c6218b36c1d19D4a2e9Eb0cE3606eB48',
network: 'ethereum',
}),
});
if (!response.ok) {
const error = await response.json();
throw new Error(`Token metadata request failed: ${error.errorCode}`);
}
const data = await response.json();
console.log('Token metadata:', data.payload);python
import os
import httpx
response = httpx.post(
'https://api.brrr.network/v4/web3/token-metadata',
headers={
'X-Api-Key': os.environ['BRRR_API_KEY'],
'Content-Type': 'application/json',
},
json={
'address': '0xA0b86991c6218b36c1d19D4a2e9Eb0cE3606eB48',
'network': 'ethereum',
},
)
response.raise_for_status()
print('Token metadata:', response.json()['payload'])